Bug 1879013 - [RFE]Improve CD-ROM interface selection
Summary: [RFE]Improve CD-ROM interface selection
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Kubevirt Plugin
Version: 4.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.7.0
Assignee: Gilad Lekner
QA Contact: Guohua Ouyang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-15 08:27 UTC by Guohua Ouyang
Modified: 2021-02-24 15:18 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:18:03 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7483 0 None closed Bug 1879013: Improve CD-ROM interface selection 2020-12-16 02:51:13 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:18:40 UTC

Description Guohua Ouyang 2020-09-15 08:27:36 UTC
Description of problem:
On adding disk modal, the 'interface' are placing before 'type', if select the type 'CD-ROM', the 'interface' becomes invalid as 'virtio' is not supported. This is not user friendly.

Suggest improving it like below:

1. place 'interface' after 'type', when 'CD-ROM' is selected, set the default value of 'interface' to 'sata'.
2. remove 'virtio' when 'CD-ROM' is selected.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Guohua Ouyang 2020-12-16 03:05:48 UTC
verified on 4.7.0-0.nightly-2020-12-13-202314

Comment 5 errata-xmlrpc 2021-02-24 15:18:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.